Skip to content

Create a pipeline stage

Request

Create a new custom pipeline stage.

Security
bearerAuth
Bodyapplication/jsonrequired
namestringrequired
Example:"Demo Booked"
objectstringrequired
Enum:"lead""company"
Example:"lead"
categorystringrequired

Visual category for the stage.

Enum:"cold""engaging""positive""negative"
Example:"positive"
orderinteger

Display order.

Example:5
POST
/leads/api/pipeline-stages
curl -i -X POST \
  https://leadgen.grinfi.io/leads/api/pipeline-stages \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "Demo Booked",
    "object": "lead",
    "category": "positive",
    "order": 5
  }'

Responses

Stage created.

Bodyapplication/json
uuidstring
Example:"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
team_idinteger
namestring
Example:"Demo Booked"
objectstring
Enum:"lead""company"
typestring
Enum:"custom""new""approaching""engaging""replied"
categorystring
Enum:"cold""engaging""positive""negative"
orderinteger
Response
{ "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "team_id": 0, "name": "Demo Booked", "object": "lead", "type": "custom", "category": "cold", "order": 0 }